%define c_major	2
%define c_minor	2
%define c_rev	8
%define lib_major 0
%define release	1.2006mcnl

# optional compile flags
%define enable_python 1
%{?_without_python: %define enable_python 0}

%define enable_mmx 0
%{?_with_mmx: %define enable_mmx 1}

%define enable_sse 0
%{?_with_sse: %define enable_sse 1}

%define enable_lzw 0
%{?_with_lzw: %define enable_lzw 1}

%if %enable_sse
%define enable_mmx 1
%endif

%define version %c_major.%c_minor.%c_rev
%define req_gtk_version 2.8.0

%define api_version %{c_major}.%{c_minor}
#%define api_version 2.0
%define abi_version 2.2
%define libname	%mklibname gimpshop
%define devlibname	%mklibname gimpshop

Summary:	The GNU Image Manipulation Program
Name:		gimpshop

Packager:       Marco Meijer <marco@mandrivaclub.nl>
Vendor:         Mandrivaclub.nl

Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://codemills.com/blog/?p=4
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

#	ftp://ftp.gimp.org/pub/gimp/v2.0/testing/
Source0:	gimpshop-%version.tar.bz2
#Source13:	gimp-scripting-sample.pl
Patch2:		gimp-2.0pre1-fix-build.patch.bz2 
Patch3:		gimp-2.2.0-fix-printing.patch.bz2
Patch4:		gimp-2.2.4-fix-default-www-browser.patch.bz2
Patch5:		gimp-2.2.4-fix-print-dialog-initialisation.patch.bz2

# (Abel) Make sure no gimp library is present, otherwise new package
# will link with old library. Damn libtool. Brain-damaged.
BuildConflicts:	libgimp1.3 libgimp1.3-devel
BuildRequires:	ImageMagick
BuildRequires:	aalib-devel
BuildRequires:	gtk-doc >= 1.0
BuildRequires:  libexif-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libgtk+2.0-devel >= %{req_gtk_version}
BuildRequires:	libmng-devel
BuildRequires: 	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	perl
BuildRequires:	xpm-devel
BuildRequires:  librsvg-devel
BuildRequires:	intltool 
# mail plugin
BuildRequires:	sendmail-command
# help browser
BuildRequires:	gtkhtml2-devel >= 1.99.5
# print plugin
#BuildRequires:	libgimpprint-devel >= 4.2.0
# python plugin
%if %enable_python
BuildRequires:	pygtk2.0-devel >= 1.99.12
BuildRequires:	python-devel
%endif
#patch
BuildRequires:  automake1.7 autoconf2.5 >= 2.54
BuildRequires:  lcms-devel libwmf-devel

Requires: libgimpshop >= 2.2.4

Conflicts: gimp1_3 gimp2_0 gimp gimp2 gimp2_2


%description
The GIMPShop is an image manipulation program suitable for photo retouching,
Its the gimp with the photoshop gui.


%package -n %{devlibname}-devel
Summary:	GIMPshop plugin and extension development kit
Group:		Development/GNOME and GTK+
Requires:	libgtk+2.0-devel >= %{req_gtk_version}
Epoch:		1
License:	LGPL
Requires:	%{libname} = %epoch:%{version}-%{release}
Provides:	gimpshop-devel = %{version}-%{release} gimp-devel
Provides:	gimp-devel = %{version}-%{release}
Provides:	gimp2-devel = %{version}-%{release}
Provides:	libgimp-devel = %{version}-%{release}
Conflicts:      libgimp2.0-devel

%description -n %{devlibname}-devel
Static libraries and header files for writing GIMP plugins and extensions.

%package -n %libname
Summary:	GIMP libraries
Group:		System/Libraries
Epoch:		1
License:	LGPL
Provides:	libgimpshop%{api_version} = %{version}-%{release} libgimp%{api_version} = %{version}-%{release}
# (Abel) temporarily for ease of update, should be removed after Mandrake 9.2
Conflicts:	libgimp12 libgimp17 libgimp2.0_0

%description -n %libname
This is the library that provides core GIMP functionality.
It enable other programs to use GIMP's features but is mainly intended
to be used by the GIMP and its "external" plugins.

%package python
Summary:	GIMPshop python extension
Group:		Graphics
Epoch:		1
Requires:	pygtk2.0
Conflicts: gimp1_3-python, gimp2_0-python gimp2_2-python

%description python
This package contains the python modules for GIMP, which act as a
wrapper to libgimp allowing the writing of plug-ins for Gimp.
This is similar to script-fu, except that you can use the full set
of Python extension modules from the plug-in, and you write plug-in
in python instead of in scheme.

%prep
%setup -q -n gimpshop-%version
%patch2 -p0 -b .fix-build
%patch3 -p0 -b .print
%patch4 -p0 -b .www
%patch5 -p0 -b .printdialog


%build

%define __libtoolize /bin/true

%configure2_5x \
	--enable-mp=yes		\
	--enable-gtk-doc=yes	\
	--disable-print		\
%if %enable_python
	--enable-python=yes	\
%else
	--enable-python=no	\
%endif
%if %enable_mmx
	--enable-mmx=yes	\
%else
	--enable-mmx=no		\
%endif
%if %enable_sse
	--enable-sse=yes	\
%else
	--enable-sse=no		\
%endif
%if %enable_lzw
	--with-gif-compression=lzw	\
%else
	--with-gif-compression=rle	\
%endif

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}  \
	 $RPM_BUILD_ROOT%{_liconsdir} \
	 $RPM_BUILD_ROOT%{_miconsdir}
install -D -m 0644      data/images/wilber-icon.png $RPM_BUILD_ROOT%{_liconsdir}/wilber-icon.png
convert -geometry 32x32 data/images/wilber-icon.png $RPM_BUILD_ROOT%{_iconsdir}/wilber-icon.png
convert -geometry 16x16 data/images/wilber-icon.png $RPM_BUILD_ROOT%{_miconsdir}/wilber-icon.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%name): \
command="%{_bindir}/gimp-remote-%abi_version" \
icon="wilber-icon.png" \
section="Multimedia/Graphics" \
title="The GIMPshop" \
longtitle="The GNU Image Manipulation Program" \
needs="x11" \
mimetypes="image/gif;image/jpeg;image/png;image/tiff;image/x-xbm;image/x-xpm;image/bmp;image/fits;image/pcx;image/pix;image/pnm;image/x-bmp;image/x-xcf" \
startup_notify="true"
EOF

# move gnome files to appropriate places
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications \
	 $RPM_BUILD_ROOT%{_datadir}/application-registry \
	 $RPM_BUILD_ROOT%{_datadir}/mime-info
mv $RPM_BUILD_ROOT%{_datadir}/gimp/%{api_version}/misc/*.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
mv $RPM_BUILD_ROOT%{_datadir}/gimp/%{api_version}/misc/*.applications $RPM_BUILD_ROOT%{_datadir}/application-registry/
mv $RPM_BUILD_ROOT%{_datadir}/gimp/%{api_version}/misc/*.keys $RPM_BUILD_ROOT%{_datadir}/mime-info/
rmdir $RPM_BUILD_ROOT%{_datadir}/gimp/%{api_version}/misc

#clean unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/%{api_version}/*/*.a

# workaround broken help system                                                                               
HELP_DIR=$RPM_BUILD_ROOT%_datadir/gimp/%api_version/help/C
[[ -d $HELP_DIR ]] || mkdir -p $HELP_DIR
HELP_IDX=$HELP_DIR/introduction.html
echo -e '<HTML><HEAD><TITLE>GIMP Base Library</HEAD>\n<BODY><UL>' > $HELP_IDX

/bin/ls $RPM_BUILD_ROOT%_datadir/gtk-doc/html/*/index.html | sed -e "s@$RPM_BUILD_ROOT@@g" >> $HELP_IDX
perl -pi -e 's!(.*/html/)([^/]*)(/index.html)!<LI><A HREF="\1\2\3">\2</A>!g' $HELP_IDX

echo '</UL></BODY></HTML>' >> $HELP_IDX

%find_lang gimp20 --all-name

# remove them for now b/c of gimp-1.2
rm -f $RPM_BUILD_ROOT/{%_bindir/gimp{,-remote,tool},%_mandir/man{1/gimp{,-remote,tool}.1,5/gimprc.5}}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f gimp20.lang
%defattr(-,root,root,0755)
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/gimp-%{abi_version}
%{_bindir}/gimp-remote-%{abi_version}
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/gimp
%{_datadir}/mime-info/*
%dir %{_libdir}/gimp/%{api_version}
%dir %{_libdir}/gimp/%{api_version}/environ
%{_libdir}/gimp/%{api_version}/environ/default.env
%{_libdir}/gimp/%{api_version}/modules
%{_libdir}/gimp/%{api_version}/plug-ins
%exclude %{_libdir}/gimp/%{api_version}/plug-ins/*.py
%{_mandir}/man1/gimp-*
%{_mandir}/man5/gimprc-*
%{_miconsdir}/wilber-icon.png
%{_liconsdir}/wilber-icon.png
%{_iconsdir}/wilber-icon.png
%{_menudir}/%{name}
%config(noreplace) %{_sysconfdir}/gimp

%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS
%doc README README.i18n docs/*.txt docs/Wilber*

%files -n %{devlibname}-devel
%defattr(-,root,root,0755)
%{_bindir}/gimptool-*
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/gimptool-*

%files -n %libname
%defattr(-,root,root,755)
%doc COPYING
# explicitly list all libs to avoid old libtool issue
%{_libdir}/libgimp-*.so.*
%{_libdir}/libgimpthumb-*.so.*
%{_libdir}/libgimpbase-*.so.*
%{_libdir}/libgimpcolor-*.so.*
%{_libdir}/libgimpmath-*.so.*
%{_libdir}/libgimpmodule-*.so.*
%{_libdir}/libgimpui-*.so.*
%{_libdir}/libgimpwidgets-*.so.*

%if %enable_python
%files python
%defattr(-,root,root,755)
%doc COPYING
%{_libdir}/gimp/%{api_version}/environ/pygimp.env
%{_libdir}/gimp/%{api_version}/python
%{_libdir}/gimp/%{api_version}/plug-ins/*.py
%endif

%changelog

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 2.2.8-1.2006mcnl
- Mandriva 2006 rebuild

* Sun Jul 17 2005 Marco Meijer <marco@mandrivaclub.nl> 2.2.8-1.102mcnl
- new release

* Sun Apr 03 2005 Marco Meijer <marco@mandrivaclub.nl> 2.2.4-1.102mcnl
- new release
